<all-games>
    <div>
        <div class="content mdl-color--white mdl-shadow--4dp content mdl-color-text--grey-800 mdl-cell mdl-cell--4-col mdl-cell--4-offset">
            <div class="container">
                <form onsubmit={handleFormSubmit}>
                    <div class="mdl-textfield mdl-js-textfield mdl-textfield--floating-label">
                        <input class="mdl-textfield__input" type="text" id="wordInput" name="word">
                        <label class="mdl-textfield__label" for="wordInput">Choose a Word</label>
                    </div>
                    <button class="mdl-button mdl-js-button mdl-button--raised" id="new-game-button" type="submit">
                        Start Game
                    </button>
                </form>

                <game-list></game-list>
            </div>
        </div>
    </div>

    <script>
        this.on("mount", () => {
            riot.mount("back-button", {href: "/logout", text: "Logout"});
            componentHandler.upgradeAllRegistered();
        });

        handleFormSubmit = (e) => {
            e.preventDefault();
            const form = e.target;
            const word = form["word"].value;
            if (word.length !== 5) {
                showError("Word must be 5 letters");
                return;
            }
            createNewGame(word)
                .then((game) => {
                    console.log(game);
                    route(`/${game.id}`);
                })
                .catch((e) => {
                    console.error(e);
                    showError(e);
                })
        }
    </script>
</all-games>